Bug 1276915 - registration of ceph secrets isn't being executed upon host activation
registration of ceph secrets isn't being executed upon host activation
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Daniel Erez
Ori Gofen
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 04:36 EST by Daniel Erez
Modified: 2016-05-25 21:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:17:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnisan: ovirt‑3.6.z?
rule-engine: planning_ack?
amureini: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47924 master MERGED core: invoke connectStorageServers for Cinder domains Never
oVirt gerrit 47931 ovirt-engine-3.6 MERGED core: invoke connectStorageServers for Cinder domains Never

  None (edit)
Description Daniel Erez 2015-11-01 04:36:11 EST
Description of problem:
In a DC with a Cinder storage domain attached, ceph secrets should be registered to libvirt automatically upon host activation. This is required for staring VMs with plugged Cinder disks. Hence, this functionality should be restored.

How reproducible:
100%

Steps to Reproduce:
1. In a DC with an attached Cinder storage domain.
2. Activate a host.
3.

Actual results:
Secrets registration isn't being invoked and as a result VMs with Cinder disks are failed to start.

Expected results:
Required ceph secrets should be registered to libvirt automatically.

Additional info:
The error event exit message is "Secret not found: rbd no secret matches uuid '...'."
Comment 1 Red Hat Bugzilla Rules Engine 2015-11-01 04:38:00 EST
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 2 Red Hat Bugzilla Rules Engine 2015-11-01 04:39:46 EST
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 3 Ori Gofen 2015-12-16 02:54:33 EST
Verified, see bz #1279499
Comment 4 Sandro Bonazzola 2015-12-16 07:17:22 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.